# Uses of Class
it.tdlight.jni.TdApi.FileDownload

## Uses of TdApi.FileDownload in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.FileDownload
Modifier and Type
Field
Description
`TdApi.FileDownload`
TdApi.UpdateFileAddedToDownloads.`fileDownload`
The added file download.
`TdApi.FileDownload[]`
TdApi.FoundFileDownloads.`files`
The list of files.
Constructors in it.tdlight.jni with parameters of type TdApi.FileDownload
Modifier
Constructor
Description
``
`FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)`
Contains a list of downloaded files, found by a search.
``
`UpdateFileAddedToDownloads(TdApi.FileDownload fileDownload, TdApi.DownloadedFileCounts counts)`
A file was added to the file download list.